package lcds.examples.bookie.command {
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	
	import lcds.examples.bookie.business.BookieDelegate;
	import lcds.examples.bookie.model.BookieModel;
	
	public class GetAllAuthorsCommand implements ICommand {
		
		private var model:BookieModel = BookieModel.getInstance();
		
		public function execute(event:CairngormEvent):void {
			var delegate:BookieDelegate = new BookieDelegate();
			delegate.getAllAuthors(model.authors);
		}
		
	}
}