package lcds.examples.bookie.command.admin {
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import lcds.examples.bookie.event.admin.CheckOutReservationsEvent;
	import lcds.examples.bookie.entity.Reservation;

	public class CheckOutReservationsCommand implements ICommand {
		
		public function execute(event:CairngormEvent):void {
			var evt:CheckOutReservationsEvent = event as CheckOutReservationsEvent;
			var reservations:Array = evt.reservations;
			var reservation:Reservation;
			
			var now:Date = new Date();
			var twoWeeks:Date = new Date(now.time + 14 * (1000 * 60 * 60 * 24));
			
			for (var i:int; i<reservations.length; i++) {
				reservation = Reservation(reservations[i]);
				reservation.reservedOn = now;
				reservation.reservedTill = twoWeeks;
			}
		}
	}
}