package lcds.examples.bookie.model {

	import com.adobe.cairngorm.model.ModelLocator;
	
	import lcds.examples.bookie.entity.Person;
	
	import mx.collections.ArrayCollection;
	import com.adobe.cairngorm.CairngormMessageCodes;

	[Bindable]
	public class AdminModel implements ModelLocator {
	
		private static var instance:AdminModel;
		
		public var books:ArrayCollection = new ArrayCollection();
		public var authors:ArrayCollection = new ArrayCollection();
		public var subjects:ArrayCollection = new ArrayCollection();
		public var users:ArrayCollection = new ArrayCollection();
		public var reservationsAwaiting:ArrayCollection = new ArrayCollection();
		public var reservationsCheckedOut:ArrayCollection = new ArrayCollection();
		
		private var _outstandingReservations:int = 0;
		
		public static function getInstance():AdminModel {
			if (instance == null) instance = new AdminModel(new ModelInitializer());
			return instance;
		}
  
		public function AdminModel(initializer:ModelInitializer) {
			if (initializer == null) throw new Error(CairngormMessageCodes.SINGLETON_EXCEPTION, 'AdminModel');
		}
		
		public function get outstandingReservations():int {
			return _outstandingReservations;
		}

		public function set outstandingReservations(res:int):void {
			_outstandingReservations = res;
		}

	}
}
class ModelInitializer {}