package lcds.examples.bookie.dao;

import java.util.Collection;
import java.util.List;

import lcds.examples.bookie.entity.Book;
import lcds.examples.bookie.entity.Person;
import lcds.examples.bookie.entity.Subject;


public interface BookDAO {

	public void persist(Book transientInstance);
	public void remove(Book persistentInstance);
	public Book merge(Book detachedInstance);
	public Book findById(int id);
	public List<Book> getAll();
	public List<Book> findByAuthor(Person author);
	public List<Book> findBySubject(Subject subject);
	public Collection<Book> findByName(String title);
	public void removeDetached(Book detachedInstance);

}