package lcds.examples.bookie.dao;

import java.util.Collection;
import java.util.List;

import lcds.examples.bookie.entity.Person;


public interface PersonDAO {

	public void persist(Person transientInstance);
	public void remove(Person persistentInstance);
	public Person merge(Person detachedInstance);
	public Person findById(int id);
	public List<Person> getAll();
	public List<Person> getAllAuthors();
	public Collection<Person> findByName(String name, boolean limitToAuthors);
	public Person findByCardNumber(String cardNumber);
	public void removeDetached(Person detachedInstance);
}