package lcds.examples.bookie.dao;

import java.util.List;

import lcds.examples.bookie.entity.Reservation;


public interface ReservationDAO {

	public void persist(Reservation transientInstance) throws Exception;
	public void remove(Reservation persistentInstance);
	public void removeDetached(Reservation detachedInstance) throws Exception;
	public Reservation merge(Reservation detachedInstance) throws Exception;
	public Reservation findById(int id);
	public List<Reservation> getAllAwaitingCheckOut();
	public List<Reservation> getAllCheckedOut();

}