package lcds.examples.bookie.dao;

import java.util.List;

import lcds.examples.bookie.entity.Subject;


public interface SubjectDAO {

	public void persist(Subject transientInstance);
	public void remove(Subject persistentInstance);
	public Subject merge(Subject detachedInstance);
	public Subject findById(int id);
	public List<Subject> getAll();
	public List<Subject> findByName(String name);
	public void removeDetached(Subject detachedInstance);

}