package lcds.examples.bookie.command {
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	
	import lcds.examples.bookie.business.BookieDelegate;
	import lcds.examples.bookie.model.BookieModel;
	import lcds.examples.bookie.event.FindAuthorsByNameEvent;
	
	public class FindAuthorsByNameCommand implements ICommand {
		
		private var model:BookieModel = BookieModel.getInstance();
		
		public function execute(event:CairngormEvent):void {
			var evt:FindAuthorsByNameEvent = event as FindAuthorsByNameEvent;
			var delegate:BookieDelegate = new BookieDelegate();
			delegate.findAuthorsByName(model.authors, evt.name);
		}
		
	}
}