package lcds.examples.bookie.command {
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	
	import lcds.examples.bookie.business.BookieDelegate;
	import lcds.examples.bookie.model.BookieModel;
	import lcds.examples.bookie.event.FindSubjectsByNameEvent;
	
	public class FindSubjectsByNameCommand implements ICommand {
		
		private var model:BookieModel = BookieModel.getInstance();
		
		public function execute(event:CairngormEvent):void {
			var evt:FindSubjectsByNameEvent = event as FindSubjectsByNameEvent;
			var delegate:BookieDelegate = new BookieDelegate();
			delegate.findSubjectsByName(model.subjects, evt.name);
		}
		
	}
}