package lcds.examples.bookie.command.admin {
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	
	import lcds.examples.bookie.business.AdminDelegate;
	import lcds.examples.bookie.model.AdminModel;
	import lcds.examples.bookie.entity.Book;
	import lcds.examples.bookie.event.admin.DeleteBookEvent;
	
	public class DeleteBookCommand implements ICommand {
		
		public function execute(event:CairngormEvent):void {
			var evt:DeleteBookEvent = event as DeleteBookEvent;
			var delegate:AdminDelegate = new AdminDelegate();
			delegate.deleteBook(evt.book);
		}
		
	}
}