package lcds.examples.bookie.command.admin {
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	
	import lcds.examples.bookie.business.AdminDelegate;
	import lcds.examples.bookie.model.AdminModel;
	import lcds.examples.bookie.entity.Person;
	import lcds.examples.bookie.event.admin.DeletePersonEvent;
	
	public class DeletePersonCommand implements ICommand {
		
		public function execute(event:CairngormEvent):void {
			var evt:DeletePersonEvent = event as DeletePersonEvent;
			var delegate:AdminDelegate = new AdminDelegate();
			delegate.deletePerson(evt.person);
		}
		
	}
}