package lcds.examples.bookie.command.admin {
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	
	import lcds.examples.bookie.business.AdminDelegate;
	import lcds.examples.bookie.entity.Reservation;
	import lcds.examples.bookie.model.AdminModel;
	import lcds.examples.bookie.event.admin.DeleteReservationsEvent;
	
	public class DeleteReservationsCommand implements ICommand {
		
		public function execute(event:CairngormEvent):void {
			var evt:DeleteReservationsEvent = event as DeleteReservationsEvent;
			var delegate:AdminDelegate = new AdminDelegate();
			delegate.deleteReservations(evt.reservations);
		}
		
	}
}