package lcds.examples.bookie.command.admin {
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	
	import lcds.examples.bookie.business.AdminDelegate;
	import lcds.examples.bookie.model.AdminModel;
	import lcds.examples.bookie.entity.Subject;
	import lcds.examples.bookie.event.admin.DeleteSubjectEvent;
	
	public class DeleteSubjectCommand implements ICommand {
		
		public function execute(event:CairngormEvent):void {
			var evt:DeleteSubjectEvent = event as DeleteSubjectEvent;
			var delegate:AdminDelegate = new AdminDelegate();
			delegate.deleteSubject(evt.subject);
		}
		
	}
}