package lcds.examples.bookie.command.admin {
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	
	import lcds.examples.bookie.business.AdminDelegate;
	import lcds.examples.bookie.model.AdminModel;
	import lcds.examples.bookie.event.admin.GetAllAuthorsEvent;
	
	public class GetAllAuthorsCommand implements ICommand {
		
		private var model:AdminModel = AdminModel.getInstance();
		
		public function execute(event:CairngormEvent):void {
			var evt:GetAllAuthorsEvent = event as GetAllAuthorsEvent;
			var delegate:AdminDelegate = new AdminDelegate();
			delegate.getAllAuthors(model.authors);
		}
		
	}
}