package lcds.examples.bookie.command.admin {
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.adobe.cairngorm.enterprise.business.EnterpriseServiceLocator;
	
	import lcds.examples.bookie.business.NotificationManager;
	
	import mx.messaging.Consumer;
	import lcds.examples.bookie.event.admin.ReservationNotificationSubscribeEvent;
	
	public class ReservationNotificationSubscribeCommand implements ICommand {
		
		public function execute(event:CairngormEvent):void {
			var evt:ReservationNotificationSubscribeEvent = event as ReservationNotificationSubscribeEvent;
			var consumer:Consumer = EnterpriseServiceLocator.getInstance().getConsumer("reservationConsumer");
			var manager:NotificationManager = NotificationManager.getInstance();
			manager.reservationConsumer = consumer;	
			manager.reservationNotificationView = evt.reservationNotificiation;
		}
		
	}
}