package lcds.examples.bookie.command.admin {
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	
	import lcds.examples.bookie.model.AdminModel;
	import lcds.examples.bookie.entity.Reservation;
	import lcds.examples.bookie.event.admin.ReservationRecievedEvent;
	
	public class ReservationRecievedCommand implements ICommand {
		
		private var model:AdminModel = AdminModel.getInstance();
		
		public function execute(event:CairngormEvent):void {
			var evt:ReservationRecievedEvent = event as ReservationRecievedEvent;
			var reservation:Reservation = evt.reservation;
			
			model.outstandingReservations++; 
		}
		
	}
}