package lcds.examples.bookie.control {

	import com.adobe.cairngorm.control.FrontController;
	
	import lcds.examples.bookie.command.admin.*;
	import lcds.examples.bookie.event.admin.*;
	
	public class AdminController extends FrontController {
		
		public function AdminController()	{
			
			addCommand(ReservationNotificationSubscribeEvent.ReservationNotificationSubscribe_Event,		ReservationNotificationSubscribeCommand)
			addCommand(GetAllSubjectsEvent.GetAllSubjects_Event,											GetAllSubjectsCommand)
			addCommand(GetAllAuthorsEvent.GetAllAuthors_Event,												GetAllAuthorsCommand)
			addCommand(GetAllBooksEvent.GetAllBooks_Event,													GetAllBooksCommand)
			addCommand(GetAllUsersEvent.GetAllUsers_Event,													GetAllUsersCommand)
			addCommand(GetAllReservationsAwaitingCheckOutEvent.GetAllReservationsAwaitingCheckOut_Event,	GetAllReservationsAwaitingCheckOutCommand)
			addCommand(GetAllReservationsCheckedOutEvent.GetAllReservationsCheckedOut_Event,				GetAllReservationsCheckedOutCommand)
			addCommand(DeleteBookEvent.DeleteBook_Event,													DeleteBookCommand)
			addCommand(DeletePersonEvent.DeletePerson_Event,												DeletePersonCommand)
			addCommand(DeleteSubjectEvent.DeleteSubject_Event,												DeleteSubjectCommand)
			addCommand(DeleteReservationsEvent.DeleteReservations_Event,									DeleteReservationsCommand)
			addCommand(ReservationRecievedEvent.ReservationRecieved_Event,									ReservationRecievedCommand)
			addCommand(ClearReservationsRecievedEvent.ClearReservationsRecieved_Event,						ClearReservationsRecievedCommand)
			addCommand(CheckOutReservationsEvent.CheckOutReservations_Event,								CheckOutReservationsCommand);
			
		}
		
	}

}