package lcds.examples.bookie.control {

	import com.adobe.cairngorm.control.FrontController;
	
	import lcds.examples.bookie.command.*;
	import lcds.examples.bookie.event.*;
	
	public class BookieController extends FrontController {
		
		public function BookieController()	{
			
			addCommand(SignInEvent.SignIn_Event,							SignInCommand)
			addCommand(SignOutEvent.SignOut_Event,							SignOutCommand)
			addCommand(FindBooksEvent.FindBooks_Event,						FindBooksCommand)
			addCommand(GetAllSubjectsEvent.GetAllSubjects_Event,			GetAllSubjectsCommand)
			addCommand(FindSubjectsByNameEvent.FindSubjectsByName_Event,	FindSubjectsByNameCommand)
			addCommand(GetAllAuthorsEvent.GetAllAuthors_Event,				GetAllAuthorsCommand)
			addCommand(FindAuthorsByNameEvent.FindAuthorsByName_Event,		FindAuthorsByNameCommand)
			addCommand(ReserveBooksEvent.ReserveBooks_Event,				ReserveBooksCommand)
			addCommand(BooksChosenEvent.BooksChosen_Event,					BooksChosenCommand);
		}
		
	}

}